/ / Rails 4 + Zurb Foundation 5 Rahmenfehler - ruby-on-rails-4, zurb-foundation

Rails 4 + Zurb Foundation 5 Rahmenfehler - Ruby-on-Rails-4, Zurb-Foundation

Versuchen, das Gerüst der Zurb Foundation 5 zu verwenden w Schienen 4.2.1 wie in den Tuts angegeben (http://www.gotealeaf.com/blog/rails-and-foundation-part-1/ ) Ich bekomme den folgenden Fehler ..

Invalid CSS after "...ules: $modules ": expected "}", was "!global;"

In meiner Edelsteindatei habe ich die Edelsteine ​​angefordert:

gem "rails", "4.2.1"
gem "sass-rails"
gem "foundation-rails"
...

in meinem Vermögen / stylesheets / application.css

 *= require_tree .
*= require_self
*= require foundation_and_overrides

in meinem Vermögen / Javascripts / application.js

//= require jquery
//= require jquery_ujs
//= require foundation
//= require turbolinks
//= require_tree .
$(function(){$(document).foundation();});

es ist mein erster Versuch, Foundation zu benutzen (bis dahin habe ich Bootstrap benutzt ..) es scheint nicht so einfach wie Bootstrap3 + RAilS .. oder etwas fehlt in den Tuts ...

Antworten:

1 für die Antwort № 1

mit dem neuesten Juwel gelöst

https://github.com/zurb/foundation/issues/6148

und spezifizieren

gem "foundation-rails", "5.4.5"

im Gemfile